summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJon Hood <squinky86@gentoo.org>2004-06-26 17:53:01 +0000
committerJon Hood <squinky86@gentoo.org>2004-06-26 17:53:01 +0000
commit6b2fba9f488000160e1bdbe33cd93217901d80d3 (patch)
treee084846b895acf3e8f8eb4df5f3087b6312c7de3 /net-p2p/gift/files
parentAdded ability to install from CD. Ebuild submitted by David A. Bestor <gento... (diff)
downloadgentoo-2-6b2fba9f488000160e1bdbe33cd93217901d80d3.tar.gz
gentoo-2-6b2fba9f488000160e1bdbe33cd93217901d80d3.tar.bz2
gentoo-2-6b2fba9f488000160e1bdbe33cd93217901d80d3.zip
new init script and substantial ebuild changes, #24496
Diffstat (limited to 'net-p2p/gift/files')
-rw-r--r--net-p2p/gift/files/digest-gift-0.11.41
-rw-r--r--net-p2p/gift/files/digest-gift-0.11.51
-rw-r--r--net-p2p/gift/files/digest-gift-0.11.6-r11
-rw-r--r--net-p2p/gift/files/gift.confd19
-rw-r--r--net-p2p/gift/files/gift.initd29
5 files changed, 49 insertions, 2 deletions
diff --git a/net-p2p/gift/files/digest-gift-0.11.4 b/net-p2p/gift/files/digest-gift-0.11.4
deleted file mode 100644
index 3e15d7e2877d..000000000000
--- a/net-p2p/gift/files/digest-gift-0.11.4
+++ /dev/null
@@ -1 +0,0 @@
-MD5 decc82159c6723be999b1306a808077f gift-0.11.4.tar.bz2 368969
diff --git a/net-p2p/gift/files/digest-gift-0.11.5 b/net-p2p/gift/files/digest-gift-0.11.5
deleted file mode 100644
index 8a384247f3c8..000000000000
--- a/net-p2p/gift/files/digest-gift-0.11.5
+++ /dev/null
@@ -1 +0,0 @@
-MD5 f492b6e3607aed801b77657f3808f5c1 gift-0.11.5.tar.bz2 528989
diff --git a/net-p2p/gift/files/digest-gift-0.11.6-r1 b/net-p2p/gift/files/digest-gift-0.11.6-r1
new file mode 100644
index 000000000000..db27a871cf77
--- /dev/null
+++ b/net-p2p/gift/files/digest-gift-0.11.6-r1
@@ -0,0 +1 @@
+MD5 614c7dc355c65522424b649684fde8be gift-0.11.6.tar.bz2 533799
diff --git a/net-p2p/gift/files/gift.confd b/net-p2p/gift/files/gift.confd
new file mode 100644
index 000000000000..2a56de713b9c
--- /dev/null
+++ b/net-p2p/gift/files/gift.confd
@@ -0,0 +1,19 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/gift/files/gift.confd,v 1.1 2004/06/26 17:53:01 squinky86 Exp $
+
+# /etc/conf.d/gift
+# Config file for gift control script
+
+# Change the following vars only if you know
+# what you're doing, there's no checking for
+# invalid data yet!
+
+# owner of giFTd process (don't change, must be existing)
+USER="p2p"
+
+# logfile (/dev/null for nowhere)
+LOG="/var/log/giftd.log"
+
+# nice level, 0<x<19, more nice -> less cpuspeed consumed
+NICE="19"
diff --git a/net-p2p/gift/files/gift.initd b/net-p2p/gift/files/gift.initd
new file mode 100644
index 000000000000..1b4b4ec6d2ad
--- /dev/null
+++ b/net-p2p/gift/files/gift.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/gift/files/gift.initd,v 1.1 2004/06/26 17:53:01 squinky86 Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting giFTd"
+ start-stop-daemon --quiet --start -c ${USER} --make-pidfile \
+ --pidfile /var/run/giftd.pid --exec /usr/bin/giftd -- \
+ --local-dir=/usr/share/giFT &>${LOG} &
+ renice ${NICE} -u ${USER} >/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping giFTd - please wait"
+ start-stop-daemon --stop --quiet --pidfile /var/run/giftd.pid
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 10
+ svc_start
+}